import { BbDashboard } from '../dashboard/dashboard.component';
export declare class BbDashboardHeader {
    private _parent;
    constructor(_parent: BbDashboard);
    get showSidebarButton(): boolean;
    get isSidebarVisible(): import("rxjs").BehaviorSubject<boolean> | import("rxjs").Observable<false>;
    onToggleSidebarClicked(): void;
}
